OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
PNaming

# PNaming_VArrayTNodeOfFieldOfHArray1OfNamedShape Class Reference

`#include <PNaming_VArrayTNodeOfFieldOfHArray1OfNamedShape.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PNaming_VArrayTNodeOfFieldOfHArray1OfNamedShape ()
| PNaming_VArrayTNodeOfFieldOfHArray1OfNamedShape (const Handle(PNaming_NamedShape)&aValue)
void | SetValue (const Handle(PNaming_NamedShape)&aValue)
Standard_Address | Value () const
## Private Attributes
Handle_PNaming_NamedShape | myValue

## Constructor & Destructor Documentation

PNaming_VArrayTNodeOfFieldOfHArray1OfNamedShape::PNaming_VArrayTNodeOfFieldOfHArray1OfNamedShape | ( |  | ) |

PNaming_VArrayTNodeOfFieldOfHArray1OfNamedShape::PNaming_VArrayTNodeOfFieldOfHArray1OfNamedShape | ( | const Handle(PNaming_NamedShape)& | aValue | ) |

## Member Function Documentation

void PNaming_VArrayTNodeOfFieldOfHArray1OfNamedShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PNaming_VArrayTNodeOfFieldOfHArray1OfNamedShape::operator new | ( | size_t | size | ) | `[inline]`

void* PNaming_VArrayTNodeOfFieldOfHArray1OfNamedShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PNaming_VArrayTNodeOfFieldOfHArray1OfNamedShape::SetValue | ( | const Handle(PNaming_NamedShape)& | aValue | ) |

Standard_Address PNaming_VArrayTNodeOfFieldOfHArray1OfNamedShape::Value | ( |  | ) | const

## Field Documentation

Handle_PNaming_NamedShape PNaming_VArrayTNodeOfFieldOfHArray1OfNamedShape::myValue`[private]`

The documentation for this class was generated from the following file:

- PNaming_VArrayTNodeOfFieldOfHArray1OfNamedShape.hxx